var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, privateMap) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to get private field on non-instance");
    }
    return privateMap.get(receiver);
};
var _server;
import { h } from "@stencil/core";
export class BceElementImage {
    constructor() {
        _server.set(this, window.BCE.file);
    }
    render() {
        if (!this.template)
            return;
        return this.template.location.map(id => {
            const file = __classPrivateFieldGet(this, _server).get(id);
            return file && h("img", { key: id, src: file.url });
        });
    }
    static get is() { return "bce-element-image"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["bce-element-image.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["bce-element-image.css"]
    }; }
    static get properties() { return {
        "handler": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "InputHandler",
                "resolved": "InputHandler",
                "references": {
                    "InputHandler": {
                        "location": "import",
                        "path": "../../../utils/input-handler"
                    }
                }
            },
            "required": true,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        },
        "language": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string | undefined",
                "references": {}
            },
            "required": false,
            "optional": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "language",
            "reflect": false
        },
        "template": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "ImageElement",
                "resolved": "ImageElement",
                "references": {
                    "ImageElement": {
                        "location": "import",
                        "path": "./element-image"
                    }
                }
            },
            "required": true,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
_server = new WeakMap();
